/*=================================================

  Style Editor

=================================================*/

/*--- Site Header ---*/

// tweak: { "type" : "color", "title" : "Background Color", "category" : "Header", "target" : ".header" }
@header-bg: #1f1f1f;

// tweak: { "type" : "value", "title" : "Logo Size", "category" : "Header", "min" : 50, "max" : 150, "step" : 5, "target" : ".title-logo-wrapper .site-logo" }
@logo-height: 75px;

// tweak: { "type" : "font", "title" : "Title", "category" : "Header", "loadAllVariants" : true, "target" : ".title-logo-wrapper .site-title a" }
.site-title-font {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 25px;
  font-weight: 400;
  letter-spacing: 2px;
  line-height: 1.05em;
}

// tweak: { "type" : "color", "title" : "Title Color", "category" : "Header", "target" : ".title-logo-wrapper .site-title a" }
@site-title-color: #fff;

// tweak: { "type" : "font", "title" : "Tagline", "category" : "Header", "loadAllVariants" : true, "target" : ".title-logo-wrapper .site-tagline a" }
.site-tagline-font {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 22px;
  font-weight: 200;
  letter-spacing: 2px;
  line-height: 1.05em;
}

// tweak: { "type" : "color", "title" : "Tagline Color", "category" : "Header", "target" : ".title-logo-wrapper .site-title a" }
@site-tagline-color: #fff;

// tweak: { "type" : "font", "title" : "Primary Navigation", "category" : "Header", "target" : ".main-nav ul li a, .main-nav ul li a:visited" }
.main-nav-font {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 16px;
  font-weight: 300;
  letter-spacing: 0.005em;
  line-height: 1em;
}

// tweak: { "type" : "color", "title" : "Primary Navigation Color", "category" : "Header", "target" : ".main-nav ul li a" }
@main-nav-color: #bbb;

// tweak: { "type" : "color", "title" : "Primary Navigation Active", "category" : "Header", "target" : ".main-nav ul li.active-link a" }
@main-nav-active: #fff;

/*--- Typography ---*/

// tweak: { "type" : "font", "title" : "Default Font", "category" : "Typography", "loadAllVariants" : true }
.default-font {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 16px;
  font-weight: 300;
  letter-spacing: 0.005em;
  line-height: 1em;
}

// tweak: { "type" : "color", "title" : "Default Color", "category" : "Typography" }
@default-color: #0d0d0d;

// tweak: { "type" : "font", "title" : "Heading 1", "category" : "Typography", "loadAllVariants" : true }
.heading-1 {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 48px;
  font-weight: 300;
  letter-spacing: 0.04em;
  line-height: 1.05em;
}

// tweak: { "type" : "font", "title" : "Heading 2", "category" : "Typography", "loadAllVariants" : true }
.heading-2 {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 36px;
  font-weight: 300;
  letter-spacing: 0.04em;
  line-height: 1.25em;
}

// tweak: { "type" : "font", "title" : "Heading 3", "category" : "Typography", "loadAllVariants" : true }
.heading-3 {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 28px;
  font-weight: 300;
  letter-spacing: 0.14em;
  line-height: 1.25em;
}

// tweak: { "type" : "color", "title" : "Heading Color", "category" : "Typography" }
@heading-color: #0d0d0d;

// tweak: { "type" : "color", "title" : "Link Color", "category" : "Typography" }
@link-color: #3b85fc;

/*--- Accordion ---*/

// tweak: { "type" : "font", "category" : "Accordion", "title" : "Accordion Font", "label" : "Font", "target" : ".accQuestion", "loadAllVariants" : false, "showOnlyWhenPresent" : ".accBlock" }
.accHeading4-font {
  font-family: Arial, sans-serif;
  font-weight: 400;
  font-style: normal;
  line-height: 1.25em;
  letter-spacing: 0em;
  text-transform: none;
}

// tweak: { "type" : "color", "category" : "Accordion", "title" : "Accordion Font Color", "label" : "Font Color", "target" : "h4", "showOnlyWhenPresent" : ".accBlock" }
@accHeading4Color: #666666;

// tweak: { "type" : "color", "category" : "Accordion", "title" : "Accordion Background", "label" : "Background", "target" : ".accElement", "showOnlyWhenPresent" : ".accBlock" }
@accBgColor: rgba(0,0,0,0);

/*--- Now Badge ---*/

// tweak: { "type" : "checkbox", "title" : "hide-now-badge", "label" : "Hide Now Badge", "active": false, "target" : ".footer .now-badge", "category" : "Site Badge" }
.hide-now-badge .now-badge {
  display: none;
  visibility: hidden;
}

/*--- Share Buttons */

// tweak: { "type" : "color", "title" : "Icon Color", "category" : "Blog: Item", "target" : ".Share-buttons-item", "showOnlyWhenPresent" : ".Share" }
@share-button-color: #0d0d0d;

// tweak: { "type" : "color", "title" : "Icon Hover", "category" : "Blog: Item", "target" : ".Share-buttons-item", "showOnlyWhenPresent" : ".Share" }
@share-button-hover: #bbb;
